%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

%define progname TwistedConch

# There is no debug here, but can't build as noarch,
# since some 'twisted' modules are arch-dependent and all these modules
# should be located in the same place
%define debug_package %{nil}

Summary:        An SSH and SFTP protocol implementation together with clients and servers

Name:           python-twisted-conch
Version:        14.0.2
Release:        1
Source0:        http://twistedmatrix.com/Releases/Conch/14.0/TwistedConch-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/conch
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core
Requires:	pyasn1

%description
Conch is an SSHv2 implementation written in Python.
SSH is a protocol designed to allow remote access
to shells and commands, but it is generic enough to allow
everything from TCP forwarding to generic filesystem access.
Since Conch is written in Python, it interfaces well with
other Python projects such as Imagination.
Conch also includes a implementations of the telnet and vt102
protocols, as well as support for rudamentary line editing behaviors.
A new implementation of Twisted's Manhole application is also included,
featuring server-side input history and interactive syntax coloring.

%prep
%setup -q -n %{progname}-%{version}

%build
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%defattr(0644,root,root,0755)
%doc LICENSE README
%dir %{py_platsitedir}/twisted/conch
%{py_platsitedir}/twisted/conch/*
%{py_platsitedir}/twisted/plugins/*
%{py_platsitedir}/*.egg-info

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 14.0.2-1
+ Revision: 43ca09b
- Merge pull request #4 from import/python-twisted-conch:auto_update
- ROSA Updates Builder: update suggested


